#!/bin/dash


# I have this line in my /etc/fstab :

# UUID=6537-6365              /media/Micro-SDHC-32GB  vfat    utf8,rw,user,noauto,atime,strictatime,shortname=win95      0      0

# That UUID appears to /dev/disk/by-uuid when I attach my 32 GB
# Micro-SDHC -card of my tablet to some USB-port with adapter.


MOUNTPOINT="/media/Micro-SDHC-32GB"
MYDIR="${MOUNTPOINT}/Docs/Books/juhtolv"



if test ! -d ${MYDIR}
then
    mount -v ${MOUNTPOINT} || exit 1
fi

if test -d ${MYDIR}
then
    cp -fv *.epub *.html *.pdf 000LUEMUT.txt ${MYDIR}/
    sync ; sync ; sync ; sync
else
    sync ; sync ; sync ; sync
    exit 1
fi

umount -v ${MOUNTPOINT} || exit 1

